/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * RoadsideProvider
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class RoadsideProvider {
  @SerializedName("provider_id")
  private String providerId = null;

  @SerializedName("name")
  private String name = null;

  @SerializedName("rate")
  private Rate rate = null;

  @SerializedName("location")
  private Location location = null;

  public RoadsideProvider providerId(String providerId) {
    this.providerId = providerId;
    return this;
  }

   /**
   * Provider unique id
   * @return providerId
  **/
  @ApiModelProperty(required = true, value = "Provider unique id")
  public String getProviderId() {
    return providerId;
  }

  public void setProviderId(String providerId) {
    this.providerId = providerId;
  }

  public RoadsideProvider name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Provider name
   * @return name
  **/
  @ApiModelProperty(example = "Greatest Towing Service Inc", value = "Provider name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public RoadsideProvider rate(Rate rate) {
    this.rate = rate;
    return this;
  }

   /**
   * Get rate
   * @return rate
  **/
  @ApiModelProperty(value = "")
  public Rate getRate() {
    return rate;
  }

  public void setRate(Rate rate) {
    this.rate = rate;
  }

  public RoadsideProvider location(Location location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @ApiModelProperty(value = "")
  public Location getLocation() {
    return location;
  }

  public void setLocation(Location location) {
    this.location = location;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RoadsideProvider roadsideProvider = (RoadsideProvider) o;
    return Objects.equals(this.providerId, roadsideProvider.providerId) &&
        Objects.equals(this.name, roadsideProvider.name) &&
        Objects.equals(this.rate, roadsideProvider.rate) &&
        Objects.equals(this.location, roadsideProvider.location);
  }

  @Override
  public int hashCode() {
    return Objects.hash(providerId, name, rate, location);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RoadsideProvider {\n");
    
    sb.append("    providerId: ").append(toIndentedString(providerId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    rate: ").append(toIndentedString(rate)).append("\n");
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

